SUBDIRS = kdetvv4lsetup

# Main Library
lib_LTLIBRARIES = libkvideoio.la

#
# Library
#
if include_kdetvvideo
V4L_SOURCES = v4ldev.cpp v4ldevtuner.cpp v4ldevcamera.cpp v4l2dev.cpp
endif

libkvideoio_la_SOURCES = kxv.cpp qvideostream.cpp qvideo.cpp $(V4L_SOURCES)

libkvideoio_la_LDFLAGS = $(all_libraries) -version-info 1:0:0 -no-undefined
libkvideoio_la_LIBADD = $(LIB_QT) $(LIB_KDECORE) $(KDETV_LIBS) $(GLLIB)

# General
noinst_HEADERS = v4ldev.h v4ldevtuner.h v4ldevcamera.h v4l2dev.h qvideostream.h kxv.h qvideo.h

INTERFACES = 
TRANSLATIONS = 

METASOURCES = AUTO

# set the include path for X, qt and KDE
INCLUDES= $(GLINC) $(all_includes)
